Summary:	OpenKiosk central server containing the client information database 
Name:		nodeview
Version:	2.0.3
Release:	%mkrel 3
License:	GPL
Group:		Networking/Other
URL:		http://openkiosk.sourceforge.net			
Source0:	http://prdownloads.sourceforge.net/openkiosk/%{name}-%{version}.tar.bz2
Source1:	nodeview-48x48.png
BuildRequires:	db4.2-devel
BuildRequires:	qt3-devel
BuildRequires:	ImageMagick dos2unix
BuildRequires:	kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot-%{version}
	
%description
The Openkiosk system is basically composed of two parts. The first program 
is called NodeView. It acts as the OpenKiosk central server containing the 
client information database. It is responsible for administering all the 
clients on the network either automatically or manually. Monitoring and 
controlling the workstations can be done locally via the graphical user 
interfaces or remotely from a Java Applet in a browser.

The client application that goes with nodeview is call kdex11client.

%prep

%setup -q

%build
sed -i 's|usr/local|usr|g' configure
sed -i 's|${PREFIX:22}|4.2|' configure
sed -i 's|read VER||' configure

export QTDIR=/usr/lib/qt3
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

export QTDIR=/usr/lib/qt3
%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT

install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}

cp %{SOURCE1} .

install -m0644 nodeview-48x48.png %{buildroot}%{_liconsdir}/%{name}.png
convert -size 32x32 nodeview-48x48.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 16x16 nodeview-48x48.png %{buildroot}%{_miconsdir}/%{name}.png

install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
title="NodeView" \
longtitle="The central control program of the OpenKiosk system" \
needs="x11" \
icon="%{name}.png" \
section="System/Configuration/Networking" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=NodeView
Comment=The central control program of the OpenKiosk system
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Networking;Settings;Network;
EOF

#(sb) get rid of these old docs/make rpmlint happier
rm -fr docs/oldversion
dos2unix docs/doc.css
dos2unix docs/update.htm

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog README* docs/*
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2.0.3-3mdv2008.1
+ Revision: 141006
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import nodeview


* Thu Aug 24 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.3-3mdv2007.0
- xdg menu

* Tue May  9 2006 Emmanuel Blindauer <blindauer@mandriva.org> 2.0.3-2mdk
- Fix qt detection...

* Tue Apr 18 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.3-1mdk
- 2.0.3

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 2.0-1mdk
- 2.0

* Tue Apr 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-2mdk
- merge stuff from the Corporate Club package

* Thu Mar 17 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.8.3-1mdk
- first Mandrakelinux packaging
